"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fromEnv = exports.ENV_API_KEY = void 0;
const property_provider_1 = require("@smithy/property-provider");
exports.ENV_API_KEY = "STEDI_API_KEY";
function fromEnv() {
    return () => {
        const apiKey = process.env[exports.ENV_API_KEY];
        if (apiKey) {
            return Promise.resolve(apiKey);
        }
        return Promise.reject(new property_provider_1.CredentialsProviderError(`Unable to find environment variable ${exports.ENV_API_KEY}.`));
    };
}
exports.fromEnv = fromEnv;
