"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fromIni = void 0;
const property_provider_1 = require("@smithy/property-provider");
const sdk_shared_ini_file_loader_1 = require("@stedi/sdk-shared-ini-file-loader");
const isStaticCredsProfile = (arg) => Boolean(arg) && typeof arg === "object" && ["undefined", "string"].indexOf(typeof arg.api_key) > -1;
const resolveProfileData = async (profileName, profiles) => {
    const data = profiles[profileName];
    if (isStaticCredsProfile(data)) {
        return resolveStaticApiKeyIdentity(data);
    }
    throw new property_provider_1.CredentialsProviderError(`Profile ${profileName} could not be found or parsed in shared identity file.`);
};
const resolveStaticApiKeyIdentity = (profile) => Promise.resolve(profile.api_key);
const fromIni = (init = {}) => async () => {
    const profiles = await (0, sdk_shared_ini_file_loader_1.parseKnownFiles)(init);
    return resolveProfileData((0, sdk_shared_ini_file_loader_1.getProfileName)(init), profiles);
};
exports.fromIni = fromIni;
