"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.providerChainNode = void 0;
const property_provider_1 = require("@smithy/property-provider");
const from_env_1 = require("./from-env");
const from_ini_1 = require("./from-ini");
const providerChainNode = (init = {}) => {
    const { apiKey } = init;
    let providers;
    if (apiKey) {
        providers = [(0, property_provider_1.fromStatic)(apiKey)];
    }
    else {
        providers = [
            (0, from_env_1.fromEnv)(),
            (0, from_ini_1.fromIni)(init),
            () => {
                if (init.continueOnError) {
                    return Promise.resolve(null);
                }
                return Promise.reject(new property_provider_1.CredentialsProviderError("Could not load Stedi API key from any provider", false));
            },
        ];
    }
    return (0, property_provider_1.chain)(...providers);
};
exports.providerChainNode = providerChainNode;
