import { CredentialsProviderError } from "@smithy/property-provider";
export const ENV_API_KEY = "STEDI_API_KEY";
export function fromEnv() {
    return () => {
        const apiKey = process.env[ENV_API_KEY];
        if (apiKey) {
            return Promise.resolve(apiKey);
        }
        return Promise.reject(new CredentialsProviderError(`Unable to find environment variable ${ENV_API_KEY}.`));
    };
}
