import { CredentialsProviderError } from "@smithy/property-provider";
import { getProfileName, parseKnownFiles } from "@stedi/sdk-shared-ini-file-loader";
const isStaticCredsProfile = (arg) => Boolean(arg) && typeof arg === "object" && ["undefined", "string"].indexOf(typeof arg.api_key) > -1;
const resolveProfileData = async (profileName, profiles) => {
    const data = profiles[profileName];
    if (isStaticCredsProfile(data)) {
        return resolveStaticApiKeyIdentity(data);
    }
    throw new CredentialsProviderError(`Profile ${profileName} could not be found or parsed in shared identity file.`);
};
const resolveStaticApiKeyIdentity = (profile) => Promise.resolve(profile.api_key);
export const fromIni = (init = {}) => async () => {
    const profiles = await parseKnownFiles(init);
    return resolveProfileData(getProfileName(init), profiles);
};
