import { chain, CredentialsProviderError, fromStatic } from "@smithy/property-provider";
import { fromEnv } from "./from-env";
import { fromIni } from "./from-ini";
export const providerChainNode = (init = {}) => {
    const { apiKey } = init;
    let providers;
    if (apiKey) {
        providers = [fromStatic(apiKey)];
    }
    else {
        providers = [
            fromEnv(),
            fromIni(init),
            () => {
                if (init.continueOnError) {
                    return Promise.resolve(null);
                }
                return Promise.reject(new CredentialsProviderError("Could not load Stedi API key from any provider", false));
            },
        ];
    }
    return chain(...providers);
};
